# Class AutoValueGsonAdapterFactoryProcessor

java.lang.Object
javax.annotation.processing.AbstractProcessor
com.ryanharter.auto.value.gson.factory.AutoValueGsonAdapterFactoryProcessor

All Implemented Interfaces:
  `Processor`

@AutoService(Processor.class) public class AutoValueGsonAdapterFactoryProcessor extends AbstractProcessor
Generates a Gson `TypeAdapterFactory` that adapts all `AutoValue` annotated Gson serializable classes.

## Field Summary

### Fields inherited from class AbstractProcessor

`processingEnv`

## Constructor Summary

Constructors
Constructor
Description
`AutoValueGsonAdapterFactoryProcessor()`

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`getSupportedAnnotationTypes()`
`SourceVersion`
`getSupportedSourceVersion()`
`void`
`init(ProcessingEnvironment processingEnv)`
`boolean`
`process(Set<? extends TypeElement> annotations, RoundEnvironment roundEnv)`

### Methods inherited from class AbstractProcessor

`getCompletions, getSupportedOptions, isInitialized`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AutoValueGsonAdapterFactoryProcessor

public AutoValueGsonAdapterFactoryProcessor()

## Method Details

### getSupportedAnnotationTypes

public Set<String> getSupportedAnnotationTypes()

Specified by:
  `getSupportedAnnotationTypes` in interface `Processor`
Overrides:
  `getSupportedAnnotationTypes` in class `AbstractProcessor`

### getSupportedSourceVersion

public SourceVersion getSupportedSourceVersion()

Specified by:
  `getSupportedSourceVersion` in interface `Processor`
Overrides:
  `getSupportedSourceVersion` in class `AbstractProcessor`

### init

public void init(ProcessingEnvironment processingEnv)

Specified by:
  `init` in interface `Processor`
Overrides:
  `init` in class `AbstractProcessor`

### process

public boolean process(Set<? extends TypeElement> annotations, RoundEnvironment roundEnv)

Specified by:
  `process` in interface `Processor`
Specified by:
  `process` in class `AbstractProcessor`